
Redmine - Defect #6256

Redmine considers non ASCII and UTF-16 text files as binary in SCM

2010-08-31 17:08 - Victor Gavro

Status: Closed Start date: 2010-08-31

Priority: Low Due date:  

Assignee: Toshi MARUYAMA % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 1.2.0   

Resolution: Fixed Affected version:  

Description

If source file contains less than 30% of ascii symbols - redmine threats it as binary.

It's affected when browsing repository:

/projects/PROJECT/repository/entry/FILE

(redmine just starts downloading, not showing source file).

The problem is that redmine relies on string method http://apidock.com/ruby/String/is_binary_data%3F

I understand this is ruby problem, but redmine could do some more checks - at least check for BOM marks.

more information here:

when trying to open files in repository,but downloading s...

Related issues:

Related to Redmine - Patch #6416: When viewing utf-8 text file in repository,... Closed 2010-09-16

Related to Redmine - Feature #4477: Use mime types in downloading from reposi... Closed 2009-12-23

Related to Redmine - Feature #2209: MIME type support for repository Entries Closed 2008-11-17

Related to Redmine - Patch #3770: text/html documents force currently firefox... Closed 2009-08-23

Related to Redmine - Feature #6374: File raw view mode Closed 2010-09-12

Has duplicate Redmine - Defect #7134: is_binary_data uses wrong heuristic to ... Closed 2010-12-19

Associated revisions

Revision 5198 - 2011-03-22 11:45 - Toshi MARUYAMA

scm: filesystem: add test of no extension file whose content is only ASCII can be showing (#6256).

Revision 5202 - 2011-03-22 12:26 - Toshi MARUYAMA

scm: mercurial: add test of binary file should be force download in functional test (#6256).

Revision 5203 - 2011-03-22 16:30 - Toshi MARUYAMA

scm: filesystem: update test repository for non ascii text files displaying (#6256).

Revision 5204 - 2011-03-22 16:31 - Toshi MARUYAMA

scm: fix non ascii text files displaying (#6256).

Revision 5205 - 2011-03-22 16:32 - Toshi MARUYAMA

scm: filesystem: add test for non ascii text file displaying (#6256).

Revision 5206 - 2011-03-22 16:32 - Toshi MARUYAMA

scm: filesystem: add test for UTF-16 file displaying (#6256).

Revision 5207 - 2011-03-22 16:33 - Toshi MARUYAMA

scm: filesystem: add test for displaying file over max size limit (#6256).

Revision 5211 - 2011-03-23 00:49 - Toshi MARUYAMA

scm: filesystem: increase non ascii contents ratio of test repository (#6256).

History
http://apidock.com/ruby/String/is_binary_data%3F
https://www.redmine.org/boards/2/topics/14739


#1 - 2011-03-21 10:52 - Toshi MARUYAMA

- Category set to SCM

- Status changed from New to 7

- Assignee set to Toshi MARUYAMA

#2 - 2011-03-21 10:52 - Toshi MARUYAMA

- Subject changed from Redmine considers some not-ascii text files as binary to Redmine considers some not-ascii text files as binary in SCM

#3 - 2011-03-23 12:04 - Toshi MARUYAMA

- Status changed from 7 to Closed

- Target version set to 1.2.0

- Resolution set to Fixed

I finished implementing until r5211.

#4 - 2011-03-23 12:05 - Toshi MARUYAMA

- Subject changed from Redmine considers some not-ascii text files as binary in SCM to Redmine considers some not-ascii and UTF-16 text files as

binary in SCM

#5 - 2011-03-23 12:06 - Toshi MARUYAMA

- Subject changed from Redmine considers some not-ascii and UTF-16 text files as binary in SCM to Redmine considers non ASCII and UTF-16 text

files as binary in SCM

#6 - 2017-04-10 15:29 - Toshi MARUYAMA

- Description updated
